Subject: bug#14957: 24.3.50; Flyspell language visible in mode line

From: Michael Heerdegen <[email-masked]>
Date: Fri, 18 Sep 2020 17:00:19 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Perhaps putting it in the Flyspell lighter?  So it'd be
>
> ... (Text Fly[br] Fill)

Yes, I think so.  What's a reasonable alternative at all?

> I'm not sure whether that's possible with the mode line machinery,
> though -- we want clicking on "Fly" to switch the mode off, but
> clicking on "[br]" to allow changing the dictionary.

That should be possible I think.  Ideally, the part with the clickable
language would be factored as a separately usable mode-line element so
that people who don't want to have all minor modes in the mode-line
still can take advantage of something built-in.

Michael.